/*
 *
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.test.aop.nonjunit;

//import java.rmi.*;
 

import javax.naming.InitialContext;

import org.jboss.test.JBossTestCase;
import junit.framework.Test;
import java.net.InetAddress;
import javax.management.ObjectName;
import org.jboss.jmx.adaptor.rmi.RMIAdaptor;
import org.jboss.test.aop.bean.AOPTester;

import junit.framework.*;
/**
 * Sample client for the jboss container.
 *
 * @author <a href="mailto:bill@burkecentral.com">Bill Burke</a>
 * @version $Id: StandaloneTest.java,v 1.6 2004/02/14 07:17:01 patriot1burke Exp $
 */

public class StandaloneTest 
   extends TestCase 
{
   static boolean deployed = false;
   static int test = 0;
   AOPTester tester = new AOPTester();

   public StandaloneTest(String name) {

      super(name);
      
   }

   public void testMethodInterception() throws Exception
   {
      tester.testMethodInterception();
   }


   public void testFieldInterception() throws Exception
   {
      tester.testFieldInterception();
   }

   public void testBasic() throws Exception
   {
      tester.testBasic();
   }


   public void testAspect() throws Exception
   {
      tester.testAspect();
   }

   public void testCallerPointcut() throws Exception
   {
      tester.testCallerPointcut();
   }

   public void testInheritance() throws Exception
   {
      tester.testInheritance();
   }
   
   public void testMetadata() throws Exception
   {
      tester.testMetadata();
   }
   
   public void testDynamicInterceptors() throws Exception
   {
      tester.testDynamicInterceptors();
   }
   
   public void testMixin() throws Exception
   {
      tester.testMixin();
   }
   
   
   public void testConstructorInterception() throws Exception
   {
      tester.testConstructorInterception();
   }	

   public void testExceptions() throws Exception
   {
      tester.testExceptions();
   }	

   public static Test suite() throws Exception
   {
      TestSuite suite = new TestSuite();
      suite.addTest(new TestSuite(StandaloneTest.class));
      return suite;
   }

}
